## py3nvml 0.2.6

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = py3nvml
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## py3nvml 0.2.5

=== debian/changelog ===
py3nvml (0.2.5-0~mx19+1) mx; urgency=medium

  * Package upstream git release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Mon, 02 Mar 2020 22:54:59 -0500

=== debian/control ===
Source: py3nvml
Section: contrib/python
Priority: optional
Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
XSBC-Original-Maintainer: Fergal Cotter <fbc23@cam.ac.uk>
Build-Depends:
 debhelper-compat (= 12),
 dh-python,
 python3-dev,
 python3-setuptools,
 python3-sphinx,
 python3-sphinx-rtd-theme
Standards-Version: 4.5.0
Homepage:https://github.com/fbcotter/py3nvml
X-Python3-Version: >= 3.7
Rules-Requires-Root: no

Package: python-py3nvml
Architecture: amd64 i386 armhf ppc64el
Depends:
 ${libnvidia-ml1},
 ${misc:Depends},
 ${python3:Depends},
 python3-xmltodict
Description: Python3 bindings to the NVIDIA Management Library
 Provides a Python interface to GPU management and monitoring functions.
 .
 This is a wrapper around the NVML library.
 For information about the NVML library, see the NVML developer page
 http://developer.nvidia.com/nvidia-management-library-nvml

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

VENDOR			?= $(shell dpkg-vendor --derives-from Ubuntu && echo Ubuntu || echo Debian)

libnvidia-ml1.Debian	 = libnvidia-ml1 [!armhf !ppc64el]
libnvidia-ml1.Debian	+= | libnvidia-tesla-418-ml1 [!armhf]
libnvidia-ml1.Debian	+= | libnvidia-legacy-390xx-ml1 [!ppc64el]
libnvidia-ml1.Debian	+= | libnvidia-legacy-340xx-ml1 [!ppc64el]
libnvidia-ml1.Debian	+= | libnvidia-ml.so.1
libnvidia-ml1.Ubuntu	 = libnvidia-ml1

%:
	dh $@ -Spybuild --with python3

override_dh_gencontrol:
	dh_gencontrol -- -V'libnvidia-ml1=$(libnvidia-ml1.$(VENDOR))'

## py3nvml 0.2.6

=== debian/changelog ===
py3nvml (0.2.6-0~mx19+1) mx; urgency=medium

  * Initial packaging of upstream release for MX 19.

 -- ”SwampRabbit” <maintainer@mepiscommunity.org>  Sat, 02 May 2020 14:08:19 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: py3nvml
 Section: contrib/python
 Priority: optional
-Maintainer: SwampRabbit <maintainer@mepiscommunity.org>
+Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
 XSBC-Original-Maintainer: Fergal Cotter <fbc23@cam.ac.uk>
 Build-Depends:
  debhelper-compat (= 12),
